The wikis are now using the new authentication system.
If you did not migrate your account yet, visit https://idp-portal-info.suse.com/

Repozytoria KDE

Skocz do: nawigacja, szukaj
Ta strona zawiera listę i opisy dostępnych repozytoriów zawierających oprogramowanie KDE oraz linki. Większość z nich jest utrzymywana i wspierana przez zespół openSUSE KDE Community.

Dodanie tych repozytoriów do istniejącej instalacji

Jeśli nie korzystasz z instalatora dostarczonego na Argon i Krypton, możesz przełączyć istniejący system, aby korzystać z repozytoriów wymienionych tutaj za pomocą Zyppera (można użyć YaST, aby dodać repozytorium, ale nie żeby przejść na nowe pakiety).

Ważne jest, aby użyć wyższego priorytetu (co oznacza niższą wartość!) Niż głównych repozytoriów openSUSE i użyć zypper dup --allow-vendor-change dla przełącznika (patrz: Zmiana dostawcy pakietu).

Przykład: Najnowsze wersje oprogramowania KDE dla Leap 15.1:

zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.1 KDE-Qt5
zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.1 KDE-Frameworks
zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.1 KDE-Applications
zypper -v dup --allow-vendor-change

Przykład: Najnowsze wersje oprogramowania KDE dla openSUSE Tumbleweed:

zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Factory/ KDE-Qt5
zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Factory/ KDE-Frameworks
zypper ar -p 75 https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Tumbleweed/ KDE-Applications
zypper -v dup --allow-vendor-change

Informacje ogólne

Konfiguracja repozytoriów opiera się na rozróżnieniu między trzema grupami pakietów, a mianowicie:

  • Pakiety KDE Framework/Plazma. Ta grupa zawiera biblioteki Framework i pulpit Plazma.
  • Pakiety aplikacji KDE. Ta grupa zawiera wydania aplikacji KDE, takie jak Dolphin, Kdenlive, Konqueror itp.
  • Pakiety aplikacji opartych na KDE/Qt, które są wydawane niezależnie od głównych wydań oprogramowania KDE. Ta grupa zawiera aplikacje oparte na bibliotekach KDE lub Qt, takie jak Krita, Konversation, Quassel itp.

Aktualizacje serwisowe

Od czasu openSUSE 12.3 zespół społeczności openSUSE KDE postępuje zgodnie z procedurą serwisową, w której pakiety KDE dostarczane z dystrybucją są aktualizowane poprzez ścieżkę serwisową z drobnymi aktualizacjami. Dzięki temu użytkownicy będą mieli najnowsze dostępne poprawki błędów w wydaniu KDE.

Wersja: Leap 15.1 Dostarczone z Plasma 5.12.8 LTS, Aplikacje 18.12.3 i Framework KDE 5.55.


Wersja: Leap 15.0 Dostarczone z Plasma 5.12.5 LTS, Aplikacje 17.12.3 i Framework KDE 5.45.


Wersja: Leap 42.3 Dostarczone z Plasma 5.8.7 LTS, Aplikacje 17.04.2 i Framework KDE 5.32.


Wersja: Leap 42.2 Dostarczone z Plasma 5.8.2 LTS, Aplikacje 16.08.1 i Framework KDE 5.26.


Wersja: Leap 42.1 Dostarczone z Plasma 5.4.2, Aplikacje 15.08 (z kilkoma wyjątkami) i Framework KDE 5.15.


Wersja: 13.2 Dostarczone z KDE SC 4.14.2 oraz aktualizacje serwisowe zostały dostarczone do KDE SC 4.14.4.


Wersja: 13.1 Dostarczone z KDE SC 4.11.2 oraz aktualizacje serwisowe zostały dostarczone do KDE SC 4.11.5.



Co jest dostępne

W oparciu o to, co wskazano powyżej, następujące repozytoria zostały udostępnione użytkownikom openSUSE.

Dla Użytkownika

  • Najnowsze wydania Frameworka KDE 5 i Plasmy, opcjonalnie Aplikacje] To są nowsze wersje bibliotek Frameworka i pulpitu Plasmy wydane przez społeczność KDE, a także kilka poprawek specyficznych dla openSUSE. Opcjonalnie możesz także uzyskać zaktualizowane aplikacje KDE. Są one dostarczane przynajmniej dla najnowszej wersji openSUSE i Tumbleweed. W zależności od dostępnych wersji zależności te aktualizacje mogą być również dostarczane dla starszych, ale obsługiwanych wersji openSUSE.
  • KDE Extra
    Nowsze wersje poszczególnych aplikacji, oparte na KDE/Qt (ale nie będące częścią wydań Frameworku, Plazmy lub Aplikacji), które zostały spakowane dla wydanych dystrybucji. Te nowsze wersje opierają się na różnorodnych celach. To repozytorium jest utrzymywane przez szerszą społeczność openSUSE.

Dla Współtwórców

  • Niestabline repozytoria KDE
    Pakiety oparte na migawkach git wyżej wymienionych pakietów / wydań. Zostały one zbudowane tylko dla najnowszej wersji openSUSE Leap i Tumbleweed ze względu na możliwe zależności od nowszych pakietów.

Przy każdej zmianie pakietów budowana jest płyta DVD na żywo i testowana pod kątem openQA. Opiera się na Tumbleweed i domyślnie dodaje niestabilne repozytoria KDE i udostępnia instalator.


Aplikacje KDE 19.04 dla Leap 15.1

Aplikacje KDE 19.04 zostały wydane zbyt późno, aby być częścią Leap 15.1, ale są dostępne przy użyciu wspomnianego wcześniej repozytorium aplikacji KDE.


Aplikacje KDE 18.04 dla Leap 15.0

Aplikacje KDE 18.04 zostały wydane zbyt późno, aby być częścią Leap 15.0, ale są dostępne w tym repozytorium.


Zaktualizownae aplikacje "Extra"

Aplikacje opracowane przez KDE, ale nie będące częścią Frameworka, Plazmy ani Aplikacji, są tworzone w repozytorium KDE Extra. Użyj tego repozytorium, aby zaktualizować niektóre, ale nie wszystkie nie-podstawowe aplikacje do ich najnowszej wersji.


Frameworki KDE 5, Plazma 5 i Aplikacje

Najnowsze wydania Fameworków KDE 5 i Plazma 5, opcjonalnie także Aplikacje.

Jeśli chcesz przetestować i / lub skorzystać z najnowszej wersji, możesz skorzystać z tego repozytorium.

Użytkownicy Tumbleweed otrzymają nowe wersje, gdy tylko będą dostępne, i zwykle są publikowane w standardowych repozytoriach w ciągu kilku dni.

Uwaga dla użytkowników openSUSE Leap: Leap jest dostarczany z wersją Qt LTS, która nie jest wystarczająco aktualna dla najnowszej Plazmy. Aby użyć KDE:Frameworks5, wymagane jest KDE:Qt5. Niektóre aplikacje z repozytoriów innych firm mogą nie być instalowalne, ponieważ wymagają określonej wersji Qt dostarczanej z Leap.


Niestabilne Frameworki, Plasma i Aplikacje

Uwaga: Nie mieszaj stabilnych z niestabilnymi repozytoriami. Takie postępowanie może doprowadzić do niespójności systemu.

Te repozytoria zawierają codzienne kompilacje Frameworków KDE 5, Plazma 5 i bazujących na KF5 aplikacji z git. Ze względu na zależności możemy dostarczyć pakiety tylko dla najnowszej wersji openSUSE Leap i Tumbleweed.

Biorąc pod uwagę szybkie tempo rozwoju, korzystanie z tych repozytoriów nie jest zalecane w systemach produkcyjnych. Są one głównie przeznaczone dla programistów i wczesnych testerów - używaj na własne ryzyko.

Uwaga: Jeśli znajdziesz błędy w oprogramowaniu, prześlij raporty do KDE.
Uwaga: Aby zapobiec problemom wynikającym z zależności, należy jednocześnie dodać wszystkie repozytoria.

Zobacz także